Bug 1107365 - xxdiff: FTBFS in rawhide
Summary: xxdiff: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xxdiff
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Russell Cattelan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-10 01:41 UTC by Dennis Gilmore
Modified: 2014-07-08 04:02 UTC (History)
2 users (show)

Fixed In Version: xxdiff-3.2-22.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 04:02:47 UTC
Type: ---


Attachments (Terms of Use)
build.log (34.62 KB, text/plain)
2014-06-10 01:41 UTC, Dennis Gilmore
no flags Details
root.log (89.10 KB, text/plain)
2014-06-10 01:41 UTC, Dennis Gilmore
no flags Details
state.log (1.06 KB, text/plain)
2014-06-10 01:42 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (5.47 KB, patch)
2014-06-13 18:11 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-10 01:41:50 UTC
Your package xxdiff failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7007221

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-10 01:41:56 UTC
Created attachment 906737 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-10 01:41:59 UTC
Created attachment 906738 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-10 01:42:00 UTC
Created attachment 906739 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-13 18:11:17 UTC
Created attachment 908677 [details]
Patch for rawhide

Cause was incompatibility with bison-3.x, as reported upstream:

https://sourceforge.net/p/xxdiff/bugs/229/

Patch for rawhide attached.


Note You need to log in before you can comment on or make changes to this bug.